import { Component } from '@angular/core';
import { Router } from '@angular/router';
import { RuntimeConfigLoaderService } from 'runtime-config-loader';
import { AdminRoutes } from '../../admin-routing.module';

@Component({
  selector: 'app-admin-nav-bar',
  templateUrl: './nav-bar.component.html',
  styleUrl: '../../admin.scss',
})
export class NavBarComponent {
  public ghostLink = this.runtimeConfigLoaderService.getConfigObjectKey('ghostAdmin');
  public routes = AdminRoutes;

  constructor(
    private runtimeConfigLoaderService: RuntimeConfigLoaderService,
    public router: Router,
  ) {}

  public openGhost(): void {
    window.open(this.ghostLink);
  }
}
